winstd::basic_string_guid< _Elem, _Traits, _Ax > Class Template Reference
String Formatting

Base template class to support converting GUID to string. More...

`#include <WinStd/Common.h>`

Inheritance diagram for winstd::basic_string_guid< _Elem, _Traits, _Ax >:

## Public Member Functions

Initializing string using template in memory
| basic_string_guid (const GUID &guid, const _Elem *format)
| Initializes a new string and formats its contents to string representation of given GUID. More...

## Detailed Description

template<class _Elem, class _Traits, class _Ax>
class winstd::basic_string_guid< _Elem, _Traits, _Ax >

Base template class to support converting GUID to string.

## Constructor & Destructor Documentation

## basic_string_guid()

template<class _Elem , class _Traits , class _Ax >

winstd::basic_string_guid< _Elem, _Traits, _Ax >::basic_string_guid | ( | const GUID & | guid,
|  | const _Elem * | format
| ) |  |

inline

Initializes a new string and formats its contents to string representation of given GUID.

Parameters

  [in] | guid | GUID to convert
  [in] | format | A `printf()` syntax template to convert GUID to string (i.e. `"{%08X-%04X-%04X-%02X%02X-%02X%02X%02X%02X%02X%02X}"`)

The documentation for this class was generated from the following file:

- include/WinStd/Common.h